package com.union.ai.api.dao.model;

import java.io.Serializable;

/**
 * 
 *
 * @author jingxingxin
 * @date 2019-5-20
 *
 */
public class AppApi implements Serializable {
    /** 主键id */
    private Integer appapiId;

    /** 应用id */
    private Integer appId;

    /** 接口id */
    private Integer apiId;

    /** 状态 0=待审核 1=正常使用 2=待支付 3=停用 */
    private Integer status;

    private Integer enable;//启用/停用  0 启用 1 停用

    /** 调用量限制 */
    private String callLimit;

    /** QPS限制 */
    private String qpsLimit;

    /** 更高QPS申请id */
    private String qpsApplyId;

    /**  */
    private String used;

    private static final long serialVersionUID = 1L;

    public Integer getAppapiId() {
        return appapiId;
    }

    public void setAppapiId(Integer appapiId) {
        this.appapiId = appapiId;
    }

    public Integer getAppId() {
        return appId;
    }

    public void setAppId(Integer appId) {
        this.appId = appId;
    }

    public Integer getApiId() {
        return apiId;
    }

    public void setApiId(Integer apiId) {
        this.apiId = apiId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCallLimit() {
        return callLimit;
    }

    public void setCallLimit(String callLimit) {
        this.callLimit = callLimit == null ? null : callLimit.trim();
    }

    public String getQpsLimit() {
        return qpsLimit;
    }

    public void setQpsLimit(String qpsLimit) {
        this.qpsLimit = qpsLimit == null ? null : qpsLimit.trim();
    }

    public String getQpsApplyId() {
        return qpsApplyId;
    }

    public void setQpsApplyId(String qpsApplyId) {
        this.qpsApplyId = qpsApplyId == null ? null : qpsApplyId.trim();
    }

    public String getUsed() {
        return used;
    }

    public void setUsed(String used) {
        this.used = used == null ? null : used.trim();
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }
}